Bug 490250

Summary: Dell Vostro 1510: need to use these kernel parameters: i8042.reset, i8042.nomux and i8042.noloop
Product: [Fedora] Fedora Reporter: Ricardo Funke Ormieres <ricardo.funke>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 10CC: jeevanullas, kernel-maint, ricardo.funke
Target Milestone: ---Keywords: Reopened, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.6.27.21-170.2.56.fc10 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 04:01:18 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ricardo Funke Ormieres 2009-03-14 00:52:27 EDT
Description of problem:
In order to use keyboard and mousepad properly in Dell Vostro 1510 notebook, it must make use of i8042.reset, i8042.nomux and i8042.noloop parameters at the boot time.

First the keyboard and mousepad works sometimes, but suddenly they stop work, then, using i8042.reset resolve this problem.

But, when few windows are opened (using compiz), the X responds only when the mousepad or keyboard are touched. Then, the use of i8042.nomux and i8042.noloop resolve this problem.

Even with this parameters, I have experienced that the keyboard and mousepad stop work suddenly, but I've noted that the system still running well. 

Version-Release number of selected component (if applicable):
2.6.27.19-170.2.35.fc10.x86_64
2.6.27.15-170.2.24.fc10.x86_64
2.6.27.12-170.2.5.fc10.x86_64

How reproducible:
In Dell Vostro 1510, try to use fedora without the parameters above, than try to use one by one.

Steps to Reproduce:
1. Install Fedora with at least i8042.reset to proceed
2. After installed, boot fedora with just the standard parameters
3. When keyboard and mousepad doesn't respond, use the i8042.reset parameters
4. with i8042.reset parameters, try to open some windows with compiz enabled, then you may have some trouble with keyboard, X will respond only by receiving some activity of mousepad or keyboard
5. then, use the others parameters
  
Actual results:
Must use i8042.reset, i8042.nomux and i8042.noloop to work properly with Dell Vostro 1510

Expected results:
No need to use any kernel parameters

Additional info:
Ubuntu 8.10 have the same trouble
Comment 1 Chuck Ebbert 2009-03-18 22:17:35 EDT
Is just using nomux alone enough? Upstream linux 2.6.29 only has nomux enabled for the 1510.
Comment 2 Chuck Ebbert 2009-03-18 23:45:51 EDT
Added the vostro 1510 to the nomux quirk list  in  2.6.27.20-170.2.54
Comment 3 Ricardo Funke Ormieres 2009-03-20 21:58:45 EDT
(In reply to comment #1)
> Is just using nomux alone enough? Upstream linux 2.6.29 only has nomux enabled
> for the 1510.  

Well, I'm using just nomux now, and it seems to be ok.
Comment 4 Ricardo Funke Ormieres 2009-03-22 00:48:25 EDT
After using just nomux I've experienced my first sudden freeze.

The system was running normally but the mouse cursor freeze in the hand stage (cursor at link). I could move the cursor but not click. The keyboard had no response too, except for some of the Fn functions, like the screen brightness, battery information (Fn+F3) and Hibernate (Fn+F1).

Then I pressed the Power button and wait for the 40 seconds to shutdown the system.

Do I have to use another kernel parameter to avoid this hang?
Comment 5 Fedora Update System 2009-03-24 18:56:15 EDT
kernel-2.6.27.21-170.2.56.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.21-170.2.56.fc10
Comment 6 Fedora Update System 2009-03-25 12:04:57 EDT
kernel-2.6.27.21-170.2.56.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3008
Comment 7 Fedora Update System 2009-04-02 13:19:28 EDT
kernel-2.6.27.21-170.2.56.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Ricardo Funke Ormieres 2009-04-07 12:44:17 EDT
Ok,

I'm testing this new kernel

Thank you very much.
Comment 9 Ricardo Funke Ormieres 2009-04-10 13:10:24 EDT
So I'm using this new kernel version (2.6.27.21-170.2.56.fc10.x86_64) and I'm not using the nomux kernel parameter.

But, the keyboard and touchpad still stop responding after some time.

The system does not stop working, because when it's crashes I was burning a DVD, and it finish the jobs after the crash and when the keyboard and touchpad stop responding, I've tried to shutdown the computer pressing the power button, but a balloon appears saying that the system will not shutdown because it was burning a DVD.

So, it seems that this bug was not resolved yet.
Comment 10 Bug Zapper 2009-11-18 04:54:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 04:01:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.